Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.relateddomainext
Class EPPRelatedDomainExtAvailable

    java.lang.Object
      com.verisign.epp.codec.relateddomainext.EPPRelatedDomainExtAvailable

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPRelatedDomainExtAvailable

extends java.lang.Object
implements EPPCodecComponent

EPPCodecComponent that encodes and decodes a tag

Title: EPP 1.0 Related Domain - available tag

Description: The EPPRelatedDomainExtAvailable object represents the collection of domains that are available for registration in a family of related domains. As such it is composed of a collection of `EPPRelatedDomainExtName` objects.
As XML, it is represented by a element containing a number of elements.

Copyright: Copyright (c) 2013

Company: VeriSign

Version:
  1.0
Author:
  nchigurupati
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ELM_NAME` Element tag name for available

Constructor Summary
`EPPRelatedDomainExtAvailable()` Default constructor
`EPPRelatedDomainExtAvailable(java.util.List<EPPRelatedDomainExtName> aAvailableDomains)` Constructor with a list of available domain names.

Method Summary
`void` | `addAvailableDomain(EPPRelatedDomainExtName aAvailableDomain)` Adds a available domain represented by `EPPRelatedDomainExtName` to the list of available domains.
`java.lang.Object` | `clone()` A deep clone of the EPPRelatedDomainAvailable
`void` | `decode(org.w3c.dom.Element aElement)` Populate the data of this instance with the data stored in the given Element of the DOM tree
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Append all data from the list of the list of available related domain names represented by `EPPRelatedDomainExtName` to given DOM Document
`boolean` | `equals(java.lang.Object aObj)` A deep comparison of this with another EPPRelatedDomainExtAvailable.
`java.util.List<EPPRelatedDomainExtName>` | `getAvailableDomains()` Returns the list of available related domain names represented by `EPPRelatedDomainExtName`
`boolean` | `hasAvailableDomains()` Are there any available domains included in the list of available domains?
`void` | `setAvailableDomains(java.util.List<EPPRelatedDomainExtName> relatedDomains)` Sets the list of available related domain names represented by `EPPRelatedDomainExtName`
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ELM_NAME

    public static final java.lang.String ELM_NAME

  Element tag name for available

  See Also:
    Constant Field Values

Constructor Detail

### EPPRelatedDomainExtAvailable

    public EPPRelatedDomainExtAvailable()

  Default constructor

### EPPRelatedDomainExtAvailable

    public EPPRelatedDomainExtAvailable(java.util.List<EPPRelatedDomainExtName> aAvailableDomains)

  Constructor with a list of available domain names.

  Parameters:
    `aAvailableDomains` -

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  A deep clone of the EPPRelatedDomainAvailable

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of concrete `EPPCodecComponent`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception
  See Also:
    `Object.clone()`

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Populate the data of this instance with the data stored in the given Element of the DOM tree

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - The root element of the report fragment of XML
  Throws:
    `EPPDecodeException` - Thrown if any errors occur during decoding.

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Append all data from the list of the list of available related domain names represented by `EPPRelatedDomainExtName` to given DOM Document

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - The DOM Document to append data to
  Returns:
    Encoded DOM `Element`
  Throws:
    `EPPEncodeException` - Thrown when errors occur during the encode attempt or if the instance is invalid.

### equals

    public boolean equals(java.lang.Object aObj)

  A deep comparison of this with another EPPRelatedDomainExtAvailable.

  Overrides:
    `equals` in class `java.lang.Object`
  See Also:
    `Object.equals(java.lang.Object)`

### addAvailableDomain

    public void addAvailableDomain(EPPRelatedDomainExtName aAvailableDomain)

  Adds a available domain represented by `EPPRelatedDomainExtName` to the list of available domains.

  Parameters:
    `aAvailableDomain` - Available domain to add to the list.

### hasAvailableDomains

    public boolean hasAvailableDomains()

  Are there any available domains included in the list of available domains?

  Returns:
    `true` if the available domain list is not `null` and there is at least one available domain in the list; `false` otherwise.

### getAvailableDomains

    public java.util.List<EPPRelatedDomainExtName> getAvailableDomains()

  Returns the list of available related domain names represented by `EPPRelatedDomainExtName`

  Returns:
    the relatedDomains

### setAvailableDomains

    public void setAvailableDomains(java.util.List<EPPRelatedDomainExtName> relatedDomains)

  Sets the list of available related domain names represented by `EPPRelatedDomainExtName`

  Parameters:
    `relatedDomains` - the relatedDomains to set

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.